cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Parashuram Narasimhan (MS OPEN TECH)" <panar...@microsoft.com>
Subject 3.6.0 and version of Git
Date Thu, 02 Oct 2014 17:39:39 GMT
Folks from the VS team discovered an interesting bug and I wanted to understand if this is
something that we would like to fix in Cordova

Tl;Dr; - Cordova 3.6.0 version only seems to support Git 1.9.0. Git 1.8.3 seems to have issues.
Should we simply document this and leave it, or should we try to add support for git 1.8.3
also?

Details

Here is the error you will see when trying to install a plugin from a git URI with 1.8.3:

C:\>cordova plugin add https://github.com/a
pache/cordova-plugin-camera.git
Fetching plugin "https://github.com/apache/cordova-plugin-camera.git" via git cl
one
Error: Command failed: fatal: could not create work tree dir 'C:\User\Ap
pData\Local\Temp\plugman\git\1412264624317'.: No such file or directory

    at ChildProcess.exithandler (child_process.js:637:15)
    at ChildProcess.EventEmitter.emit (events.js:98:17)
    at maybeClose (child_process.js:743:16)
    at Socket.<anonymous> (child_process.js:956:11)
    at Socket.EventEmitter.emit (events.js:95:17)
    at Pipe.close (net.js:465:12)



Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message